Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 662453 - [abrt] nvclock-0.8-0.10.b4.fc13: __libc_message: Process /usr/bin/nvclock was killed by signal 6 (SIGABRT)
Summary: [abrt] nvclock-0.8-0.10.b4.fc13: __libc_message: Process /usr/bin/nvclock was...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nvclock
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:295aa71e659bc36cdade3b7ff1f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-12 18:21 UTC by Rob Catterall
Modified: 2012-08-16 16:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 16:54:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.98 KB, text/plain)
2010-12-12 18:21 UTC, Rob Catterall
no flags Details

Description Rob Catterall 2010-12-12 18:21:51 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: nvclock -i
comment: Installed using YUM, GTX 260 card, Dell 9200 with q6600 
component: nvclock
crash_function: __libc_message
executable: /usr/bin/nvclock
kernel: 2.6.35.9-64.fc14.i686
package: nvclock-0.8-0.10.b4.fc13
rating: 4
reason: Process /usr/bin/nvclock was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1292177161
uid: 0

How to reproduce
-----
1. Fedora 14 Base System
2. Yum update
3. reboot
4. nvclock -t
5. Command not found install?
6. <installs from yum ok> 
7. bang

Comment 1 Rob Catterall 2010-12-12 18:21:52 UTC
Created attachment 468248 [details]
File: backtrace

Comment 2 Sergei LITVINENKO 2010-12-19 19:46:13 UTC
1. nvclock-0.8-0.10.b4.fc13.i686
2. Fedora release 14 (Laughlin)
3. Kernel 2.6.35.9-64.fc14.i686.PAE
4. RAM: 6.0Go
5. CPU: Intel E6850

nvclock terminated with message: *** stack smashing detected ***


[root@homedesk init.d]# export LC_ALL; export LANG=C; nvclock -i
-- General info --
Card:           nVidia Geforce 8800GTX
Architecture:   NV50/G80 A2
PCI id:         0x191
GPU clock:      576.000 MHz
Bustype:        PCI-Express

-- Shader info --
Clock: 1350.000 MHz
Stream units: 128 (11111111b)
ROP units: 24 (111111b)
-- Memory info --
Amount:         768 MB
Type:           384 bit DDR3
Clock:          899.996 MHz

-- PCI-Express info --
Current Rate:   16X
Maximum rate:   16X

-- Sensor info --
Sensor: Analog Devices ADT7473
Board temperature: 46C
GPU temperature: 49C
Fanspeed: 2307 RPM
Fanspeed mode: auto
PWM duty cycle: 80.0%

-- VideoBios information --
Version: 60.80.13.00.00
Signon message: ASUS EN8800GTX VGA BIOS Version 60.80.13.00.AS01
Performance level 0: gpu 576MHz/shader 1350MHz/memory 900MHz/1.30V/100%
VID mask: 3
Voltage level 0: 1.10V, VID: 0
Voltage level 1: 1.20V, VID: 1
Voltage level 2: 1.30V, VID: 2

*** stack smashing detected ***: nvclock terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x4d)[0xc0c7fd]
/lib/libc.so.6[0xc0c7aa]
nvclock[0x804b346]
/lib/libc.so.6(__libc_start_main+0xe6)[0xb2ce16]
nvclock[0x80490a1]
======= Memory map: ========
00211000-00344000 r-xp 00000000 08:05 1060382    /usr/lib/libX11.so.6.3.0
00344000-00348000 rw-p 00132000 08:05 1060382    /usr/lib/libX11.so.6.3.0
007d3000-007d4000 r-xp 00000000 00:00 0          [vdso]
00af2000-00b11000 r-xp 00000000 08:02 887        /lib/ld-2.12.90.so
00b12000-00b13000 r--p 0001f000 08:02 887        /lib/ld-2.12.90.so
00b13000-00b14000 rw-p 00020000 08:02 887        /lib/ld-2.12.90.so
00b16000-00ca3000 r-xp 00000000 08:02 1033       /lib/libc-2.12.90.so
00ca3000-00ca4000 ---p 0018d000 08:02 1033       /lib/libc-2.12.90.so
00ca4000-00ca6000 r--p 0018d000 08:02 1033       /lib/libc-2.12.90.so
00ca6000-00ca7000 rw-p 0018f000 08:02 1033       /lib/libc-2.12.90.so
00ca7000-00caa000 rw-p 00000000 00:00 0 
00cac000-00caf000 r-xp 00000000 08:02 7300       /lib/libdl-2.12.90.so
00caf000-00cb0000 r--p 00002000 08:02 7300       /lib/libdl-2.12.90.so
00cb0000-00cb1000 rw-p 00003000 08:02 7300       /lib/libdl-2.12.90.so
00cfd000-00d19000 r-xp 00000000 08:02 8285       /lib/libgcc_s-4.5.1-20100924.so.1
00d19000-00d1a000 rw-p 0001b000 08:02 8285       /lib/libgcc_s-4.5.1-20100924.so.1
00d7c000-00d99000 r-xp 00000000 08:05 1060378    /usr/lib/libxcb.so.1.1.0
00d99000-00d9a000 rw-p 0001c000 08:05 1060378    /usr/lib/libxcb.so.1.1.0
00d9c000-00d9e000 r-xp 00000000 08:05 1060319    /usr/lib/libXau.so.6.0.0
00d9e000-00d9f000 rw-p 00001000 08:05 1060319    /usr/lib/libXau.so.6.0.0
00da8000-00db8000 r-xp 00000000 08:05 1060542    /usr/lib/libXext.so.6.4.0
00db8000-00db9000 rw-p 00010000 08:05 1060542    /usr/lib/libXext.so.6.4.0
08048000-08065000 r-xp 00000000 08:05 815369     /usr/bin/nvclock
08065000-08066000 rw-p 0001d000 08:05 815369     /usr/bin/nvclock
080cf000-080f0000 rw-p 00000000 00:00 0          [heap]
b74c1000-b75c1000 rw-s fd700000 00:05 15707      /dev/nvidia0
b75c1000-b75c2000 rw-s fd088000 00:05 15707      /dev/nvidia0
b769e000-b76a0000 rw-s fd680000 00:05 15707      /dev/nvidia0
b76a0000-b76b0000 rw-s fd610000 00:05 15707      /dev/nvidia0
b76b0000-b76b2000 rw-s fd601000 00:05 15707      /dev/nvidia0
b76b2000-b76e2000 rw-s fd000000 00:05 15707      /dev/nvidia0
b76e2000-b7702000 rw-s fd010000 00:05 15707      /dev/nvidia0
b7702000-b7704000 rw-p 00000000 00:00 0 
b770f000-b7710000 rw-p 00000000 00:00 0 
b7710000-b7711000 rw-s fd088000 00:05 15707      /dev/nvidia0
b7711000-b7721000 rw-s fd300000 00:05 15707      /dev/nvidia0
b7721000-b7722000 rw-s fd100000 00:05 15707      /dev/nvidia0
b7722000-b7723000 rw-s fd101000 00:05 15707      /dev/nvidia0
b7723000-b7724000 rw-p 00000000 00:00 0 
bff1e000-bff3f000 rw-p 00000000 00:00 0          [stack]
Aborted (core dumped)

Comment 3 Fedora End Of Life 2012-08-16 16:54:58 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.